Bug 9937 - Routines introduced for creating a subscription from an order need unit tests.
Summary: Routines introduced for creating a subscription from an order need unit tests.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 5343
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-27 14:12 UTC by Jonathan Druart
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9937: Add new unit tests for new routines (introduced by bug 5343) (4.84 KB, patch)
2013-03-27 14:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9937: Add new unit tests for new routines (introduced by bug 5343) (4.90 KB, patch)
2013-03-29 09:31 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9937: Add new unit tests for new routines (introduced by bug 5343) (5.07 KB, patch)
2013-03-30 20:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-03-27 14:12:13 UTC

    
Comment 1 Jonathan Druart 2013-03-27 14:17:34 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-03-29 09:31:52 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-30 20:20:03 UTC
Created attachment 17053 [details] [review]
[PASSED QA] Bug 9937: Add new unit tests for new routines (introduced by bug 5343)

New unit tests for 4 routines:
- C4::Serials::subscriptionCurrentlyOnOrder
- C4::Acquisition::GetLastOrderNotReceivedFromSubscriptionid
- C4::Acquisition::GetLastOrderReceivedFromSubscriptionid
- C4::Budgets::GetBudgetName

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Fixed a tab in t/db/dependent/Budgets.t
All tests, new db_dependent tests and QA script pass. Thx Jonathan!
Comment 4 Jared Camins-Esakov 2013-03-30 21:05:59 UTC
This patch has been pushed to master.

I was unable to run the unit tests on my server due to database breakage, but Chris and Katrin report it working and today that's enough.